Subject: Re: branch description as a note?

From: "Bence Ferdinandy" <[email-masked]>
Date: Thu, 12 Dec 2024 11:48:10 +0100

On Thu Dec 12, 2024 at 02:00, Junio C Hamano <[email-masked]> wrote:
> "Bence Ferdinandy" <[email-masked]> writes:
>
>> Not to a commit, but to a branch. I mean I know a branch is just a reference to
>> a specific commit, but in this case the mapping would be from the branch's
>> _name_ to the note object.
>
> I am not really sure if you know what you said you know above.
>
> Notes are designed to map object names to blobs (technically you can
> point at a random other objects but "notes edit" and other UI would
> only work with blobs).  A branch does not have its "object name",
> because it is *not* an object.
>
> What you are saying sounds like "I know a screwdriver is not a
> chisel, but a screwdriver has a flat blade-like head, so I want to
> use it as a chisel".

Well, what I meant is that at this point, it doesn't matter to me if it
requires building a new type of nuclear powered chisel, but it would be nice if
the handle were similar to that of the screwdriver :) I.e. a user probably
doesn't care how exactly the effect is achieved, they would just want to edit
some text that is tied to the branch, not commits.